Skip to main content
PATCH
/
api
/
people
curl --location --request PATCH 'https://app.audienceful.com/api/people/' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <token>' \
--data-raw '{
    "email": "[email protected]",
    "tags": "paid user",
    "extra_data": {"custom_field": "New value"}
}'
{
    "uid": "jQKdwqp3YRRtTrwqUJEp7d",
    "email": "[email protected]",
    "notes": "",
    "extra_data": {
        "custom_field": "Test data",
    },
    "tags": [
        {
            "name": "Test tag",
            "color": "#f5e0e9"
        }
    ],
    "created_at": "2023-08-03T02:44:56.122079Z",
    "last_activity": "2023-08-03T02:44:56.122079Z",
    "status": "active",
}

Documentation Index

Fetch the complete documentation index at: https://developer.audienceful.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

email
string
required
The email for this person
tags
string
The list of tags for this person in a comma separated list. Any tags that do not exist yet will be created. Ex: (“paid user, newsletter”)
notes
string
Notes associated with this person. HTML string or string.
extra_data
object
All custom fields for a person

Response

email
string
The person's email.
notes
string
Notes associated with this person
extra_data
object
All custom fields for a person
tags
array
The list of tags for this person
created_at
string
This is the datetime (UTC) at which the person was created.
last_activity
string or null
This is the datetime (UTC) for the last activity of this person. Example activities that update this field are: creation, open email, click email, unsubscribed from email
status
string
The status of the person.
curl --location --request PATCH 'https://app.audienceful.com/api/people/' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <token>' \
--data-raw '{
    "email": "[email protected]",
    "tags": "paid user",
    "extra_data": {"custom_field": "New value"}
}'
{
    "uid": "jQKdwqp3YRRtTrwqUJEp7d",
    "email": "[email protected]",
    "notes": "",
    "extra_data": {
        "custom_field": "Test data",
    },
    "tags": [
        {
            "name": "Test tag",
            "color": "#f5e0e9"
        }
    ],
    "created_at": "2023-08-03T02:44:56.122079Z",
    "last_activity": "2023-08-03T02:44:56.122079Z",
    "status": "active",
}